summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-text')
-rw-r--r--app-text/lodgeit/Manifest4
-rw-r--r--app-text/lodgeit/files/lodgeitrc2
-rw-r--r--app-text/lodgeit/lodgeit-0.3_p20120507.ebuild50
-rw-r--r--app-text/lodgeit/lodgeit-0.3_p20120618-r1.ebuild57
-rw-r--r--app-text/lodgeit/metadata.xml13
-rw-r--r--app-text/notecase/Manifest1
-rw-r--r--app-text/notecase/files/notecase-1.7.2-CFLAGS.patch29
-rw-r--r--app-text/notecase/files/notecase-1.9.8-gcc44.patch22
-rw-r--r--app-text/notecase/files/notecase-1.9.8-gtksourceview.patch13
-rw-r--r--app-text/notecase/metadata.xml8
-rw-r--r--app-text/notecase/notecase-1.9.8-r1.ebuild72
11 files changed, 0 insertions, 271 deletions
diff --git a/app-text/lodgeit/Manifest b/app-text/lodgeit/Manifest
deleted file mode 100644
index cf7c54ae828..00000000000
--- a/app-text/lodgeit/Manifest
+++ /dev/null
@@ -1,4 +0,0 @@
-DIST lodgeit-0.3_p20120507.py 12785 SHA256 87dfd329e7d1fdf1902c6d1903a0b629b63749b69932235ed4d70c2e836400ab SHA512 a6300a4d11626cde612f1b88f137587241940f2ef3b08ea2745e85cd2423161fd882adc04ce64aa9adbffd883cb2fe30793791a0f36a2e8d69cb757075ef6873 WHIRLPOOL add0cb101cd47ab4165c593fab6ab51d6303f307481b29ee3c2212a9a93b78ac35bd93aa0cb5e4ee1458986d464f22021eb521ec1eaa69edae68851f8ceb5369
-DIST lodgeit-0.3_p20120507.vim 3882 SHA256 b8c1e918a7d6e7c5675ccd05893ad7bf3dae19493248e85735fded16903b06bc SHA512 d8a627fa2430680b78de9d0412c05955fd3294b56590e0e3448d75d9b3f8f5c8921187fee6de5eaf7f9b8e93080042eb3719e2f690c601508ea08878616f301d WHIRLPOOL f6d399c76f7873978d63e2a2f0720bde672d495e45f1fbec02c4125e6e5ae1a3ffa1effcda9e9b8402928c5134456a48a5f53a09f7ffb2667cf4933bbc0c9aee
-DIST lodgeit-0.3_p20120618.py 13010 SHA256 6a48885c6215d5b3abea55934cddc74a9fb3fdac03e29e269c7e7913b99f0f3b SHA512 23da205f2fc3c60c5df9816dcf08a45ff87523698675122ea231ca29ba04d178c003d2a55577f0e0e4dee08c670d5a18826e6bc6cf325b9e28c5668f1bd4d027 WHIRLPOOL 788e52c4533f153fc43c8ea8f316fc691ff48469e28541471524208ad2c54807e24c192d489fe68279586d28cd20fe8004b588cab9730fd8b9fdfc4b84a3d4b4
-DIST lodgeit-0.3_p20120618.vim 3882 SHA256 b8c1e918a7d6e7c5675ccd05893ad7bf3dae19493248e85735fded16903b06bc SHA512 d8a627fa2430680b78de9d0412c05955fd3294b56590e0e3448d75d9b3f8f5c8921187fee6de5eaf7f9b8e93080042eb3719e2f690c601508ea08878616f301d WHIRLPOOL f6d399c76f7873978d63e2a2f0720bde672d495e45f1fbec02c4125e6e5ae1a3ffa1effcda9e9b8402928c5134456a48a5f53a09f7ffb2667cf4933bbc0c9aee
diff --git a/app-text/lodgeit/files/lodgeitrc b/app-text/lodgeit/files/lodgeitrc
deleted file mode 100644
index 9477df8abfc..00000000000
--- a/app-text/lodgeit/files/lodgeitrc
+++ /dev/null
@@ -1,2 +0,0 @@
-server_name = http://bpaste.net/
-encoding = utf-8
diff --git a/app-text/lodgeit/lodgeit-0.3_p20120507.ebuild b/app-text/lodgeit/lodgeit-0.3_p20120507.ebuild
deleted file mode 100644
index 59863dfe1d9..00000000000
--- a/app-text/lodgeit/lodgeit-0.3_p20120507.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="4"
-
-MY_REV="03a5e8a6d1d4"
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
-
-inherit python
-
-DESCRIPTION="Command-line interface to paste.pocoo.org"
-HOMEPAGE="http://paste.pocoo.org/"
-SRC_URI="https://bitbucket.org/skrattaren/lodgeit-script-gentoo/raw/${MY_REV}/scripts/lodgeit.py
- -> ${P}.py
- vim? ( http://www.vim.org/scripts/download_script.php?src_id=8848
- -> ${P}.vim )"
-
-LICENSE="BSD MIT"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="vim"
-
-RESTRICT="test"
-
-DEPEND=""
-RDEPEND="
- vim? ( || ( app-editors/vim[python] app-editors/gvim[python] ) )"
-
-S="${WORKDIR}"
-
-src_unpack() {
- :
-}
-
-src_install() {
- installation(){
- newbin "${DISTDIR}/${P}.py" "${PN}-${PYTHON_ABI}"
- python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/${PN}-${PYTHON_ABI}
- }
- python_execute_function installation
- python_generate_wrapper_scripts "${ED}"/usr/bin/${PN}
-
- if use vim; then
- insinto /usr/share/vim/vimfiles/plugin
- newins "${DISTDIR}/${P}.vim" "${PN}.vim"
- fi
-}
diff --git a/app-text/lodgeit/lodgeit-0.3_p20120618-r1.ebuild b/app-text/lodgeit/lodgeit-0.3_p20120618-r1.ebuild
deleted file mode 100644
index d5e76f316fe..00000000000
--- a/app-text/lodgeit/lodgeit-0.3_p20120618-r1.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="4"
-
-MY_REV="1ca55b8189de"
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
-
-inherit python
-
-DESCRIPTION="Command-line interface to paste.pocoo.org"
-HOMEPAGE="http://paste.pocoo.org/"
-SRC_URI="https://bitbucket.org/skrattaren/lodgeit-script-gentoo/raw/${MY_REV}/scripts/lodgeit.py
- -> ${P}.py
- vim? ( http://www.vim.org/scripts/download_script.php?src_id=8848
- -> ${P}.vim )"
-
-LICENSE="BSD MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="vim"
-
-RESTRICT="test"
-
-DEPEND=""
-RDEPEND="
- vim? ( || ( app-editors/vim[python] app-editors/gvim[python] ) )"
-
-S="${WORKDIR}"
-
-src_unpack() {
- :
-}
-
-src_install() {
- installation(){
- newbin "${DISTDIR}/${P}.py" "${PN}-${PYTHON_ABI}"
- python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/${PN}-${PYTHON_ABI}
- }
- python_execute_function installation
- python_generate_wrapper_scripts "${ED}"/usr/bin/${PN}
-
- insinto /etc
- doins "${FILESDIR}"/lodgeitrc
-
- if use vim; then
- local vimdir=/usr/share/vim/vimfiles/plugin
- insinto ${vimdir}
- newins "${DISTDIR}"/${P}.vim ${PN}.vim
- #Change default service for Lodgeit vim script
- sed -e 's:paste.pocoo.org:bpaste.net:g' \
- -i "${ED}"${vimdir}/${PN}.vim || die "sed failed"
- fi
-}
diff --git a/app-text/lodgeit/metadata.xml b/app-text/lodgeit/metadata.xml
deleted file mode 100644
index 4941a4b4777..00000000000
--- a/app-text/lodgeit/metadata.xml
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <!-- maintainer-needed -->
- <use>
- <flag name="vim">
- Install a vim plugin allowing to paste and download from within vim
- </flag>
- </use>
- <upstream>
- <remote-id type="bitbucket">skrattaren/lodgeit-script-gentoo</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/app-text/notecase/Manifest b/app-text/notecase/Manifest
deleted file mode 100644
index 102fa874d17..00000000000
--- a/app-text/notecase/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST notecase-1.9.8_src.tar.gz 928579 SHA256 0b7e23ec97efd5cd4ada651ac93273f9e5ed2cfff027abfb4ae130039563b746 SHA512 9c03da5a4f5290b25c1da32373f3e78d80c514dfed95b2c8f89e561c9acc062e10d3fa1c75241a3452168821ed60182016955b1923a3798fad572e9f5d3fdaf5 WHIRLPOOL 427996fc8d0cfc2bd44e788cb6e1adc69c52260344be0fe48d571edd61ef6b23f80e20a3838322d413a02158a04b2cdfaff5e96e613c6cb077e857f29e75db51
diff --git a/app-text/notecase/files/notecase-1.7.2-CFLAGS.patch b/app-text/notecase/files/notecase-1.7.2-CFLAGS.patch
deleted file mode 100644
index 6eebb8650fb..00000000000
--- a/app-text/notecase/files/notecase-1.7.2-CFLAGS.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- Makefile.orig 2007-11-13 16:31:55.000000000 +0100
-+++ Makefile 2007-11-13 16:33:04.000000000 +0100
-@@ -113,18 +113,9 @@
- QC=@echo '===> Compiling $<';
- QL=@echo '===> Linking $@';
-
--# using "--as-needed" to cut down link requirements (check by "readelf -d /usr/bin/notecase | grep NEEDED")
--ifeq ($(LDFLAGS),)
--ifdef OSX_BUILD
-- LDFLAGS=-Os -Wl -bind_at_load
--else
-- LDFLAGS=-Os -Wl,--as-needed
--endif
--
- ifneq ($(NOKIA_MAEMO_BUILD),)
- LDFLAGS += -ansi
- endif
--endif
-
- # define compile/link command line with flags
- CC=$(QC) $(CXX) $(DEBUG) $(PROFILE) -DENABLE_NLS
-@@ -158,7 +149,6 @@
- $(OBJ)/IOLayerRedirect.o $(OBJ)/FileExportDlg.o $(OBJ)/FormatIOTxt.o $(OBJ)/FindReplaceDlg.o \
- $(OBJ)/FindReplaceInfo.o $(OBJ)/LinkInfo.o $(OBJ)/LinkPropertiesDlg.o $(OBJ)/ExecuteFile.o \
- $(OBJ)/FileSaveAsDlg.o $(OBJ)/CircularBuffer.o $(OBJ)/FormatIOMMLX.o \
-- $(OBJ)/libz.a \
- $(OBJ)/ProgressDlg.o $(OBJ)/DocActionPix.o $(OBJ)/DocActionFinish.o $(OBJ)/DocActionFmt.o $(OBJ)/FmtInfo.o \
- $(OBJ)/FileAttachmentDlg.o $(OBJ)/DocActionAtt.o $(OBJ)/PixPropertiesDlg.o $(OBJ)/DocActionFinishDel.o \
- $(OBJ)/ShortcutsList.o $(OBJ)/ShortcutsListDlg.o $(OBJ)/DateTimeDlg.o $(OBJ)/AboutDlg.o $(OBJ)/EditDlg.o
diff --git a/app-text/notecase/files/notecase-1.9.8-gcc44.patch b/app-text/notecase/files/notecase-1.9.8-gcc44.patch
deleted file mode 100644
index be34074283f..00000000000
--- a/app-text/notecase/files/notecase-1.9.8-gcc44.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-diff -Naurp notecase-1.9.8-orig/src/lib/IniFile.cpp notecase-1.9.8/src/lib/IniFile.cpp
---- notecase-1.9.8-orig/src/lib/IniFile.cpp 2008-10-24 12:54:50.000000000 -0600
-+++ notecase-1.9.8/src/lib/IniFile.cpp 2009-07-27 13:04:34.519339275 -0600
-@@ -9,6 +9,7 @@
- #include "IniFile.h"
- #include <algorithm> //find() function
- #include <string>
-+#include <cstdio>
- #include "File64.h"
- #include "FilePath.h"
- #include "debug.h"
-diff -Naurp notecase-1.9.8-orig/src/_unx/ExecuteFile.cpp notecase-1.9.8/src/_unx/ExecuteFile.cpp
---- notecase-1.9.8-orig/src/_unx/ExecuteFile.cpp 2008-10-24 12:54:50.000000000 -0600
-+++ notecase-1.9.8/src/_unx/ExecuteFile.cpp 2009-07-27 13:07:56.101813217 -0600
-@@ -12,6 +12,7 @@
- #include "../lib/debug.h"
- #include <string>
- #include <cstring>
-+#include <cstdio>
- #include <vector>
- #include <algorithm>
- #include <string.h>
diff --git a/app-text/notecase/files/notecase-1.9.8-gtksourceview.patch b/app-text/notecase/files/notecase-1.9.8-gtksourceview.patch
deleted file mode 100644
index 931ef741346..00000000000
--- a/app-text/notecase/files/notecase-1.9.8-gtksourceview.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Index: notecase-1.9.8/Makefile
-===================================================================
---- notecase-1.9.8.orig/Makefile
-+++ notecase-1.9.8/Makefile
-@@ -685,7 +685,7 @@ updatesrc:
- exit 1;\
- fi;
- $(Q)if [ "$(HAVE_GTKSOURCEVIEW)" = "1" ]; then \
-- if [[ "$(TEST_SRCVIEW_VER)" < "2.4.1" ]]; then \
-+ if [[ "$(TEST_SRCVIEW_VER)" < "2.10.1" ]]; then \
- echo 'ERROR: gtksourceview package is too old ($(shell pkg-config --modversion gtksourceview-2.0))!';\
- exit 1;\
- fi;\
diff --git a/app-text/notecase/metadata.xml b/app-text/notecase/metadata.xml
deleted file mode 100644
index 77b011b96d4..00000000000
--- a/app-text/notecase/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <!-- maintainer-needed -->
- <upstream>
- <remote-id type="sourceforge">notecase</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/app-text/notecase/notecase-1.9.8-r1.ebuild b/app-text/notecase/notecase-1.9.8-r1.ebuild
deleted file mode 100644
index 0a2ded918cd..00000000000
--- a/app-text/notecase/notecase-1.9.8-r1.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-
-inherit eutils fdo-mime
-
-DESCRIPTION="Hierarchical note manager written using GTK+ and C++"
-HOMEPAGE="http://notecase.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}_src.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="gnome nls"
-
-RDEPEND="sys-libs/zlib:0
- >=x11-libs/gtk+-2.6:2
- x11-libs/libX11:0"
-DEPEND="${RDEPEND}
- virtual/pkgconfig:*"
-
-# test doesn't work
-RESTRICT="test"
-
-src_prepare() {
- # Respect CFLAGS and don't use --as-needed by default
- epatch "${FILESDIR}/notecase-1.7.2-CFLAGS.patch"
- epatch "${FILESDIR}"/${P}-gcc44.patch
- epatch "${FILESDIR}"/${P}-gtksourceview.patch
-
- if ! use gnome; then
- # Comment variable in the Makefile if we don't have gnome
- sed -i -e 's/HAVE_GNOME_VFS=1/#HAVE_GNOME_VFS=1/g' \
- -e 's/AUTODETECT_GNOME_VFS=1/#AUTODETECT_GNOME_VFS=1/g' \
- Makefile || die "gnome sed failed"
- fi
-
- ! use nls && {
- sed -i -e 's/notecase$(EXE) poinstall/notecase$(EXE)/g' \
- Makefile || die "nls sed failed"
- }
-
- # Verbose building, fix as-needed support and missing libs.
- sed -e 's/^\(Q[CL]*=\)@.*$/\1/' \
- -e 's:\(-o $(BIN)/notecase$(EXE) .*\) \($(GTKLIBS)\):\2 -lX11 -lz \1:' \
- -i Makefile || die
-
- # Remove Application category from .desktop file.
- sed -i 's/^\(Categories=\)Application;/\1/' docs/notecase.desktop || die
-}
-
-src_compile() {
- emake -j1
-}
-
-src_install() {
- default
-
- dodoc readme.txt
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- fdo-mime_mime_database_update
-}
-
-pkg_postrm() {
- fdo-mime_desktop_database_update
- fdo-mime_mime_database_update
-}